Package org.eclipse.e4.ui.model.application.ui.menu

# Interface MTrimContribution

All Superinterfaces:
  `MApplicationElement`, `MElementContainer<MTrimElement>`, `MLocalizable`, `MUIElement`

All Known Implementing Classes:
  `TrimContributionImpl`

public interface MTrimContribution extends MElementContainer<MTrimElement>
A representation of the model object 'Trim Contribution'.

Provisional for 4.3. This represents a potential extension to some trim bar.

Since:
  1.0
Restriction:
  This interface is not intended to be implemented by clients.

  The following features are supported:

  - `Parent Id`
  - `Position In Parent`
Restriction:
  This interface is not intended to be referenced by clients.

## Method Summary

Modifier and Type
Method
Description
`String`
`getParentId()`
Returns the value of the 'Parent Id' attribute.
`String`
`getPositionInParent()`
Returns the value of the 'Position In Parent' attribute.
`void`
`setParentId(String value)`
Sets the value of the '`Parent Id`' attribute.
`void`
`setPositionInParent(String value)`
Sets the value of the '`Position In Parent`' attribute.

### Methods inherited from interface org.eclipse.e4.ui.model.application.MApplicationElement

`getContributorURI, getElementId, getPersistedState, getTags, getTransientData, setContributorURI, setElementId`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MElementContainer

`getChildren, getSelectedElement, setSelectedElement`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MLocalizable

`updateLocalization`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MUIElement

`getAccessibilityPhrase, getContainerData, getCurSharedRef, getLocalizedAccessibilityPhrase, getParent, getRenderer, getVisibleWhen, getWidget, isOnTop, isToBeRendered, isVisible, setAccessibilityPhrase, setContainerData, setCurSharedRef, setOnTop, setParent, setRenderer, setToBeRendered, setVisible, setVisibleWhen, setWidget`

## Method Details

### getParentId

String getParentId()
Returns the value of the 'Parent Id' attribute.

The element id of the TrimBar to be contributed to.

Returns:
  the value of the 'Parent Id' attribute.
See Also:
  - `setParentId(String)`

### setParentId

void setParentId(String value)
Sets the value of the '`Parent Id`' attribute.

Parameters:
  `value` - the new value of the 'Parent Id' attribute.
See Also:
  - `getParentId()`

### getPositionInParent

String getPositionInParent()
Returns the value of the 'Position In Parent' attribute.

Indicates the position in the TrimBar where this contribution should be placed.

Returns:
  the value of the 'Position In Parent' attribute.
See Also:
  - `setPositionInParent(String)`

### setPositionInParent

void setPositionInParent(String value)
Sets the value of the '`Position In Parent`' attribute.

Parameters:
  `value` - the new value of the 'Position In Parent' attribute.
See Also:
  - `getPositionInParent()`